angular.module("search.templates", []).run(["$templateCache", function($templateCache) {$templateCache.put("search/templates/articlePanel.html","<div class=\"article panel\"><div class=\"row\"><div class=\"large-9 columns\"><h6 class=\"tag\">{{article.journal}}<span ng-if=\"article.features\">&nbsp;<span style=\"margin-right: 5px;\" ng-repeat=\"flag in article.features\" class=\"suggestion label radius\">{{flag}}</span></span><span ng-if=\"article.citation_count_text\" class=\"right\">{{article.citation_count_text}}</span></h6><h5 class=\"title\"><a ng-href=\"{{article.link}}\" target=\"_self\" ng-bind-html=\"trusted(article.title)\"></a></h5><h6 ng-if=\"article.authors\" ng-bind-html=\"article.authors\" class=\"authors\"></h6><h6 ng-if=\"article.citation\" ng-bind-html=\"article.citation + \' - Published \' + article.date_label\" class=\"pub-info\"></h6><h6 ng-if=\"!article.reveal_summary &amp;&amp; article.summary\" class=\"reveal-abstract\"><a ng-click=\"reveal()\">Show Abstract &nbsp;<i class=\"fi-plus\"></i></a></h6><div ng-if=\"article.reveal_summary\" ng-bind-html=\"trusted(article.summary)\" class=\"summary\"></div></div><div class=\"large-3 columns\"><span class=\"options text-right\"><div class=\"row collapse view-options\"><div class=\"columns medium-6\"><a ng-if=\"article.actions.pdf\" ng-href=\"{{article.actions.pdf.link}}\" target=\"_self\" class=\"tiny button radius\">{{article.actions.pdf.label}}</a></div><div class=\"columns medium-6\"><a ng-href=\"{{article.actions.html.link}}#fulltext\" target=\"_self\" class=\"tiny button radius\">{{article.actions.html.label}}</a></div></div></span></div></div></div>");
$templateCache.put("search/templates/dateRange.html","<ul class=\"date-options no-bullet\"><li ng-repeat=\"option in options\"><a ng-class=\"{selected: model==option.value}\" ng-if=\"option.value != \'custom\'\" ng-click=\"selectDateOption(option)\">{{option.label}}</a><a ng-class=\"{selected: model==option.value}\" ng-if=\"option.value == \'custom\'\" ng-click=\"\" data-reveal-id=\"apsCustomDate{{sequence}}\">{{option.label}}</a><div ng-if=\"option.value == \'custom\' &amp;&amp; model == \'custom\'\" class=\"custom-date-range\">&nbsp;&nbsp;&nbsp;&gt;&nbsp; <a data-reveal-id=\"apsCustomDate{{sequence}}\" title=\"Click to change custom date range\" href=\"\">{{startDateModel || \"up\"}} to {{endDateModel || \"today\"}}</a></div></li></ul><div id=\"apsCustomDate{{sequence}}\" data-reveal=\"data-reveal\" class=\"reveal-modal tiny\"><h3>Custom Date</h3><p>Choose any start and end dates using a <i>YYYY</i> format (e.g., <code>2005</code>) or a <i>YYYY-MM-DD</i> format (e.g., <code>2005-01-01</code>).  Leave either field blank for an unbounded search.</p><p style=\"margin-bottom: 10px;\" ng-if=\"alertText\" class=\"label round alert\">{{alertText}}</p><div class=\"row\"><div class=\"columns large-6\">Start Date: </div><div class=\"columns large-6\">End Date: </div></div><div class=\"row\"><div class=\"columns large-6\"><input type=\"text\" placeholder=\"e.g., 1950\" size=\"10\" name=\"aps_custom_start_date\" ng-model=\"_startDate\"/></div><div class=\"columns large-6\"><input type=\"text\" placeholder=\"e.g., 2015\" size=\"10\" name=\"aps_custom_end_date\" ng-model=\"_endDate\"/></div></div><div class=\"row\"><div class=\"columns large-12 text-right\"><button ng-click=\"updateResults()\" class=\"tiny\">Set Custom Date</button></div></div><a title=\"Cancel\" class=\"close-reveal-modal\">&#215;</a></div>");
$templateCache.put("search/templates/form.html","<form method=\"get\" ng-submit=\"search()\"><section class=\"clauses\"><div ng-repeat=\"clause in form.clauseService.clauses\" class=\"row collapse\"><div ng-if=\"!$first\" class=\"medium-3 columns\"><select ng-model=\"clause.operator\" ng-options=\"op.value as op.label for op in form.criteria.clause.operators\"></select></div><div class=\"medium-3 columns\"><select ng-model=\"clause.field\" ng-options=\"field.value as field.label for field in form.criteria.clause.fields\"></select></div><div ng-class=\"{\'medium-7\': $first, \'medium-4\': !$first}\" class=\"small-10 columns\"><input type=\"text\" autocomplete=\"off\" autocorrect=\"off\" autocapitalize=\"off\" spellcheck=\"false\" placeholder=\"Search keywords\" ng-model=\"clause.value\"/></div><div class=\"medium-1 small-2 columns\"><a href=\"\" title=\"Remove a Clause\" ng-if=\"!$first\" ng-click=\"form.clauseService.removeClauseByIndex($index)\" class=\"small button secondary remove-clause\"><i class=\"fi-x\"></i></a><a href=\"\" title=\"Add a Clause\" ng-if=\"$first\" ng-click=\"form.addClause()\" class=\"small button secondary add-clause\"><i class=\"fi-plus\"></i></a></div><div class=\"medium-1 small-2 columns\"><a ng-hide=\"!$first\" href=\"\" title=\"Search\" ng-click=\"form.search()\" class=\"small button primary\">Search</a></div></div></section><div ng-repeat=\"facet in [\'journal\', \'category\', \'highlight\']\" class=\"row panel\"><div class=\"large-12 columns\"><h5 class=\"title open\">{{ facet | capitalize }}:\n&nbsp;<a href=\"#\" ng-click=\"clearCriteria(facet)\" class=\"clear\">Clear</a></h5><ul class=\"facetlist small-block-grid-2 medium-block-grid-3 large-block-grid-4\"><li ng-repeat=\"fv in criteria[facet]\"><input type=\"checkbox\" id=\"{{facet}}_{{$index+1}}\" name=\"{{facet}}\" ng-checked=\"criteria.selected[facet].indexOf(fv.value) &gt; -1\" ng-click=\"toggleCriteria(facet, fv.value)\"/><label for=\"{{facet}}_{{$index+1}}\">{{fv.label}}</label></li></ul></div></div><div class=\"row panel\"><div class=\"large-12 columns\"><h5 class=\"title open\">Date:</h5><span ng-repeat=\"option in criteria.dateOptions\"><input type=\"radio\" name=\"date\" ng-model=\"criteria.date\" value=\"{{option.value}}\" id=\"date_{{$index}}\"/><label for=\"date_{{$index}}\">{{option.label}}</label></span></div></div><div class=\"row panel\"><div class=\"large-12 columns\"><h5 class=\"title open\">Sort:</h5><span ng-repeat=\"option in criteria.sortOptions\"><input type=\"radio\" name=\"sort\" ng-model=\"criteria.sort\" value=\"{{option.value}}\" id=\"sort_{{$index}}\"/><label for=\"sort_{{$index}}\">{{option.label}}</label></span></div></div><div class=\"row panel\"><div class=\"large-12 columns\"><h5 class=\"title open\">Results Per Page:</h5><span ng-repeat=\"option in criteria.perPageOptions\"><input type=\"radio\" name=\"per_page\" ng-model=\"criteria.per_page\" value=\"{{option.value}}\" id=\"per_page_{{$index}}\"/><label for=\"per_page_{{$index}}\">{{option.label}}</label></span></div></div><div class=\"row\"><div class=\"large-12 columns\"><input type=\"button\" ng-click=\"search()\" value=\"Search\" class=\"button\"/></div></div></form>");
$templateCache.put("search/templates/form2.html","<form method=\"get\" ng-submit=\"search()\"><section class=\"clauses\"><div ng-repeat=\"clause in form.clauseService.clauses\" class=\"row collapse\"><div ng-if=\"!$first\" class=\"medium-3 columns\"><select ng-model=\"clause.operator\" ng-options=\"op.value as op.label for op in form.criteria.clause.operators\"></select></div><div class=\"medium-3 columns\"><select ng-model=\"clause.field\" ng-options=\"field.value as field.label for field in form.criteria.clause.fields\"></select></div><div ng-class=\"{\'medium-7\': $first, \'medium-4\': !$first}\" class=\"small-10 columns\"><input type=\"text\" autocomplete=\"off\" autocorrect=\"off\" autocapitalize=\"off\" spellcheck=\"false\" placeholder=\"Search keywords\" ng-model=\"clause.value\"/></div><div class=\"medium-1 small-2 columns\"><a href=\"\" title=\"Remove a Clause\" ng-if=\"!$first\" ng-click=\"form.clauseService.removeClauseByIndex($index)\" class=\"small button secondary remove-clause\"><i class=\"fi-x\"></i></a><a href=\"\" title=\"Add a Clause\" ng-if=\"$first\" ng-click=\"form.addClause()\" class=\"small button secondary add-clause\"><i class=\"fi-plus\"></i></a></div><div class=\"medium-1 small-2 columns\"><a ng-hide=\"!$first\" href=\"\" title=\"Search\" ng-click=\"form.search()\" class=\"small button primary\">Search</a></div></div></section><div ng-repeat=\"facet in [\'journal\']\" class=\"row panel\"><div class=\"large-12 columns\"><h5 class=\"title open\">{{ facet | capitalize }}:\n&nbsp;<a href=\"#\" ng-click=\"clearCriteria(facet)\" class=\"clear\">Clear</a></h5><ul class=\"facetlist small-block-grid-3 medium-block-grid-5 large-block-grid-5\"><li ng-repeat=\"fv in criteria[facet]\"><input type=\"checkbox\" id=\"{{facet}}_{{$index+1}}\" name=\"{{facet}}\" ng-checked=\"criteria.selected[facet].indexOf(fv.value) &gt; -1\" ng-click=\"toggleCriteria(facet, fv.value)\"/><label for=\"{{facet}}_{{$index+1}}\">{{fv.value.toUpperCase()}}</label></li></ul></div></div><div class=\"row panel\"><div ng-repeat=\"facet in [\'category\', \'highlight\']\" class=\"large-6 medium-6 small-12 columns\"><h5 class=\"title open\">{{ facet | capitalize }}:\n&nbsp;<a href=\"#\" ng-click=\"clearCriteria(facet)\" class=\"clear\">Clear</a></h5><ul class=\"facetlist small-block-grid-1 medium-block-grid-1 large-block-grid-1\"><li ng-repeat=\"fv in criteria[facet]\"><input type=\"checkbox\" id=\"{{facet}}_{{$index+1}}\" name=\"{{facet}}\" ng-checked=\"criteria.selected[facet].indexOf(fv.value) &gt; -1\" ng-click=\"toggleCriteria(facet, fv.value)\"/><label for=\"{{facet}}_{{$index+1}}\">{{fv.label}}</label></li></ul></div></div><div class=\"row panel\"><div class=\"large-4 medium-4 small-12 columns\"><h5 class=\"title open\">Date:</h5><div ng-repeat=\"option in criteria.dateOptions\"><input type=\"radio\" name=\"date\" ng-model=\"criteria.date\" value=\"{{option.value}}\" id=\"date_{{$index}}\"/><label for=\"date_{{$index}}\">{{option.label}}</label></div></div><div class=\"large-4 medium-4 small-12 columns\"><h5 class=\"title open\">Sort:</h5><div ng-repeat=\"option in criteria.sortOptions\"><input type=\"radio\" name=\"sort\" ng-model=\"criteria.sort\" value=\"{{option.value}}\" id=\"sort_{{$index}}\"/><label for=\"sort_{{$index}}\">{{option.label}}</label></div></div><div class=\"large-4 medium-4 small-12 columns\"><h5 class=\"title open\">Results Per Page:</h5><div ng-repeat=\"option in criteria.perPageOptions\"><input type=\"radio\" name=\"per_page\" ng-model=\"criteria.per_page\" value=\"{{option.value}}\" id=\"per_page_{{$index}}\"/><label for=\"per_page_{{$index}}\">{{option.label}}</label></div></div></div><div class=\"row\"><div class=\"large-12 columns\"><input type=\"button\" ng-click=\"search()\" value=\"Search\" class=\"button\"/></div></div></form>");
$templateCache.put("search/templates/form3.html","<form method=\"get\" ng-submit=\"search()\"><section class=\"clauses\"><div ng-repeat=\"clause in form.clauseService.clauses\" class=\"row collapse\"><div ng-if=\"!$first\" class=\"medium-3 columns\"><select ng-model=\"clause.operator\" ng-options=\"op.value as op.label for op in form.criteria.clause.operators\"></select></div><div class=\"medium-3 columns\"><select ng-model=\"clause.field\" ng-options=\"field.value as field.label for field in form.criteria.clause.fields\"></select></div><div ng-class=\"{\'medium-7\': $first, \'medium-4\': !$first}\" class=\"small-10 columns\"><input type=\"text\" autocomplete=\"off\" autocorrect=\"off\" autocapitalize=\"off\" spellcheck=\"false\" placeholder=\"Search keywords\" ng-model=\"clause.value\"/></div><div class=\"medium-1 small-2 columns\"><a href=\"\" title=\"Remove a Clause\" ng-if=\"!$first\" ng-click=\"form.clauseService.removeClauseByIndex($index)\" class=\"small button secondary remove-clause\"><i class=\"fi-x\"></i></a><a href=\"\" title=\"Add a Clause\" ng-if=\"$first\" ng-click=\"form.addClause()\" class=\"small button secondary add-clause\"><i class=\"fi-plus\"></i></a></div><div class=\"medium-1 small-2 columns\"><a ng-hide=\"!$first\" href=\"\" title=\"Search\" ng-click=\"form.search()\" class=\"small button primary\">Search</a></div></div></section><div style=\"border-top: 1px solid #deddda; margin-top: 5px; padding-top: 20px;\" class=\"row\"><div class=\"medium-3 small-12 columns\"><h5 style=\"display: inline\" class=\"open\">Date: &nbsp;</h5><select style=\"width: auto; padding-right: 20px;\" ng-model=\"criteria.date\" ng-options=\"option.value as option.label for option in criteria.dateOptions\"></select></div><div class=\"medium-3 small-12 columns\"><h5 style=\"display: inline\" class=\"open\">Sort: &nbsp;</h5><select style=\"width: auto; padding-right: 20px\" ng-model=\"criteria.sort\" ng-options=\"option.value as option.label for option in criteria.sortOptions\"></select></div><div style=\"padding-top: 0.2em\" class=\"medium-6 small-12 columns\"><h5 style=\"display: inline\" class=\"open\">Results per Page: &nbsp;</h5><span ng-repeat=\"option in criteria.perPageOptions\"><input type=\"radio\" name=\"per_page\" ng-model=\"criteria.per_page\" value=\"{{option.value}}\" id=\"per_page_{{$index}}\"/><label for=\"per_page_{{$index}}\">{{option.label}}</label></span></div></div><div style=\"padding-left: 3px;\" ng-repeat=\"facet in [\'journal\']\" class=\"row panel\"><div class=\"large-12 columns\"><h5 class=\"title open\">{{ facet | capitalize }}:\n&nbsp;<a href=\"#\" ng-click=\"clearCriteria(facet)\" class=\"clear\">Clear</a></h5><ul class=\"facetlist small-block-grid-3 medium-block-grid-5 large-block-grid-5\"><li ng-repeat=\"fv in criteria[facet]\"><input type=\"checkbox\" id=\"{{facet}}_{{$index+1}}\" name=\"{{facet}}\" ng-checked=\"criteria.selected[facet].indexOf(fv.value) &gt; -1\" ng-click=\"toggleCriteria(facet, fv.value)\"/><label for=\"{{facet}}_{{$index+1}}\">{{fv.value.toUpperCase()}}</label></li></ul></div></div><div style=\"padding-left: 3px;\" class=\"row panel\"><div ng-repeat=\"facet in [\'category\', \'highlight\']\" class=\"large-6 medium-6 small-12 columns\"><h5 class=\"title open\">{{ facet | capitalize }}:\n&nbsp;<a href=\"#\" ng-click=\"clearCriteria(facet)\" class=\"clear\">Clear</a></h5><ul class=\"facetlist small-block-grid-1 medium-block-grid-1 large-block-grid-1\"><li ng-repeat=\"fv in criteria[facet]\"><input type=\"checkbox\" id=\"{{facet}}_{{$index+1}}\" name=\"{{facet}}\" ng-checked=\"criteria.selected[facet].indexOf(fv.value) &gt; -1\" ng-click=\"toggleCriteria(facet, fv.value)\"/><label for=\"{{facet}}_{{$index+1}}\">{{fv.label}}</label></li></ul></div></div><div class=\"row\"><div class=\"large-12 columns\"><input type=\"button\" ng-click=\"search()\" value=\"Search\" class=\"button\"/></div></div></form>");
$templateCache.put("search/templates/form4.html","<section id=\"header\" class=\"push has-subnav\"><div class=\"row\"><div class=\"large-12 columns\"><h2 class=\"title\">Search</h2></div></div></section><section id=\"title\"></section><section id=\"body\" class=\"row panels\"><div id=\"search-main\" class=\"large-12 columns\"><form method=\"get\" ng-submit=\"form.search()\"><section class=\"clauses\"><div ng-repeat=\"clause in form.clauseService.clauses\" class=\"row collapse\"><div ng-if=\"!$first\" class=\"medium-3 columns\"><select ng-model=\"clause.operator\" ng-options=\"op.value as op.label for op in form.criteria.clause.operators\"></select></div><div class=\"medium-3 columns\"><select ng-model=\"clause.field\" ng-options=\"field.value as field.label for field in form.criteria.clause.fields\"></select></div><div ng-class=\"{\'medium-7\': $first, \'medium-4\': !$first}\" class=\"small-10 columns\"><input type=\"text\" autocomplete=\"off\" autocorrect=\"off\" autocapitalize=\"off\" spellcheck=\"false\" placeholder=\"Search keywords\" ng-model=\"clause.value\"/></div><div class=\"medium-1 small-2 columns\"><a href=\"\" title=\"Remove a Clause\" ng-if=\"!$first\" ng-click=\"form.clauseService.removeClauseByIndex($index)\" class=\"small button secondary remove-clause\"><i class=\"fi-x\"></i></a><a href=\"\" title=\"Add a Clause\" ng-if=\"$first\" ng-click=\"form.addClause()\" class=\"small button secondary add-clause\"><i class=\"fi-plus\"></i></a></div><div class=\"medium-1 small-2 columns\"><a ng-hide=\"!$first\" href=\"\" title=\"Search\" ng-click=\"form.search()\" class=\"small button primary\">Search</a></div></div></section><div class=\"row\"><div class=\"large-12 columns\"><option-dropdown name=\"sort\" text=\"Sort By: \" model=\"form.criteriaService.criteria.sort\" options=\"form.criteria.sortOptions\"></option-dropdown></div></div><hr/><h3>Filters</h3><div data-name=\"date\" class=\"accordion-wrap facet-group panel\"><h5 class=\"top title open\">Date: &nbsp;</h5><div class=\"content\"><span ng-repeat=\"option in form.criteria.dateOptions\"><input type=\"radio\" name=\"date\" ng-model=\"form.criteriaService.criteria.date\" value=\"{{option.value}}\" id=\"date_{{$index}}\"/><label for=\"date_{{$index}}\">{{option.label}}</label></span><span ng-if=\"form.criteria.date == \'custom\'\"><input type=\"text\" ng-model=\"form.criteriaService.criteria.start_date\" placeholder=\"e.g., 1970-01-01\" style=\"display: inline; width: 12em\"/>&nbsp; to &nbsp;<input type=\"text\" ng-model=\"form.criteriaService.criteria.end_date\" placeholder=\"e.g., 2015-01-01\" style=\"display: inline; width: 12em\"/></span></div></div><div ng-repeat=\"facet in [\'journal\', \'category\']\" data-name=\"{{facet}}\" class=\"accordion-wrap facet-group panel\"><h5 class=\"top title open\">{{ facet | capitalize }}:\n&nbsp;<a href=\"#\" ng-click=\"form.criteriaService.clearFacetValues(facet)\" class=\"clear\">Clear</a></h5><div class=\"content\"><ul class=\"small-block-grid-1 medium-block-grid-3 large-block-grid-{{facet==\'journal\' ? 4 : 5}}\"><li ng-repeat=\"fv in form.criteria[facet]\" style=\"padding: 0\"><input type=\"checkbox\" style=\"position: inherit\" id=\"{{facet}}_{{$index+1}}\" name=\"{{facet}}\" ng-checked=\"form.criteriaService.isFacetValueSet(facet, fv.value)\" ng-click=\"form.criteriaService.toggleFacetValue(facet, fv.value)\"/><label for=\"{{facet}}_{{$index+1}}\">{{fv.label}}</label></li></ul></div></div><div class=\"row\"><div class=\"large-12 columns\"><input type=\"button\" ng-click=\"form.search()\" value=\"Search\" class=\"button\"/></div></div></form></div></section>");
$templateCache.put("search/templates/optionDropdown.html","<div><input name=\"{{name}}\" type=\"hidden\" ng-model=\"model\"/><a aria-controls=\"{{name}}-drop\" aria-expanded=\"false\" data-dropdown=\"{{name}}-drop\" class=\"closed\"><span style=\"color: #000\" class=\"triangle\">{{triangle}}&nbsp;</span>{{text}} &nbsp;<span class=\"current-sort\">{{currentOption.label}}</span></a><ul aria-hidden=\"true\" data-dropdown-content=\"data-dropdown-content\" id=\"{{name}}-drop\" tabindex=\"-1\" class=\"f-dropdown\"><li ng-repeat=\"option in options\"><a href=\"\" ng-click=\"changeOption(option)\">{{option.label}}</a></li></ul></div>");
$templateCache.put("search/templates/pagination.html","<div ng-if=\"pageService.lastPage() &gt; 1\" class=\"pagination-centered\"><ul class=\"pagination\"><li ng-repeat=\"pageNum in pages() track by $index\" ng-model=\"pageService.currentPage\" ng-class=\"{current: pageService.currentPage == pageNum}\"><button ng-disabled=\"pageNum == \'...\'\" ng-click=\"onChange(pageNum)\">{{pageNum == \'...\' ? \'...\' : (pageNum | number)}}</button></li></ul></div>");
$templateCache.put("search/templates/results.html","<section id=\"header\" class=\"has-subnav\"><div class=\"row\"><div class=\"large-12 columns\"><h2 class=\"title\">Search Results<ul class=\"journal-nav inline-list\"><li><a href=\"/search\" target=\"_self\">New Search</a></li><li><a href=\"/search?{{paramsService.toQueryString({page: 1})}}\" id=\"edit-search\" target=\"_self\">Edit Search</a></li></ul></h2></div></div></section><search-title on-clause-delete=\"deleteClause\"></search-title><section id=\"body\" class=\"row panels\"><div class=\"large-12 columns\"><div please-wait=\"loading\" data-offcanvas=\"data-offcanvas\" class=\"row panels ofc-wrapper\"><div id=\"search-sidebar\" class=\"large-3 columns ofc-sidebar\"><div class=\"show-for-small-only\"><a data-ofc-toggle=\"data-ofc-toggle\" ng-click=\"toggleSidebar()\" class=\"small expand button\">Apply Filters</a></div><div class=\"accordion-wrap\"><h5 class=\"top title open facet\">Sort</h5><form><select name=\"sort\" ng-change=\"updateSearch(true)\" ng-model=\"criteriaService.criteria.sort\" ng-options=\"option.value as option.label for option in criteria.sortOptions\"></select></form></div><div class=\"accordion-wrap\"><h5 class=\"top title open facet\">Results Per Page</h5><form><select name=\"per_page\" ng-change=\"updateSearch(true)\" ng-model=\"criteriaService.criteria.per_page\" ng-options=\"option.label as option.label for option in criteria.perPageOptions\"></select></form></div><div id=\"search-facets\"><div ng-repeat=\"(label, slug) in {\'Journals\': \'journal\', \'Category\': \'category\'}\" class=\"accordion-wrap\"><h5 class=\"top title open facet\">{{label}}</h5><div class=\"top content\"><div class=\"row collapse\"><div class=\"small-12 columns\"><input type=\"checkbox\" id=\"{{slug}}_all\" name=\"{{slug}}\" ng-disabled=\"criteriaService.isFacetEmpty(slug)\" ng-checked=\"criteriaService.isFacetEmpty(slug)\" ng-click=\"criteriaService.clearFacetValues(slug)\"/><label for=\"{{slug}}_all\">ALL &nbsp;<span>({{pageService.numResults | number}})</span></label></div></div><div ng-repeat=\"fv in criteria[slug]\" class=\"row collapse\"><div class=\"small-12 columns\"><input type=\"checkbox\" id=\"{{slug}}_{{$index+1}}\" name=\"{{slug}}\" ng-disabled=\"criteriaService.isFacetValueSet(slug, fv.value) &amp;&amp; !facets[slug][fv.value].count\" ng-checked=\"criteriaService.isFacetValueSet(slug, fv.value)\" ng-click=\"criteriaService.toggleFacetValue(slug, fv.value)\"/><label ng-class=\"{disabled: criteriaService.isFacetValueSet(slug, fv.value) &amp;&amp; !facets[slug][fv.value].count}\" for=\"{{slug}}_{{$index+1}}\">{{fv.label}} &nbsp;<span ng-if=\"facets[slug] &amp;&amp; facets[slug][fv.value] &amp;&amp; facets[slug][fv.value].count &gt; 0\">({{facets[slug][fv.value].count | number}})</span></label></div></div></div></div><div class=\"accordion-wrap\"><h5 class=\"top title open facet\">Date</h5><div class=\"top content\"><date-list-options options=\"criteria.dateOptions\" model=\"criteriaService.criteria.date\" on-change=\"selectDate\" start-date-model=\"criteriaService.criteria.start_date\" end-date-model=\"criteriaService.criteria.end_date\"></date-list-options></div></div></div></div><div id=\"search-main\" class=\"large-9 columns search-results ofc-main\"><div class=\"show-for-small-only\"><a data-ofc-toggle=\"data-ofc-toggle\" ng-click=\"toggleSidebar()\" class=\"small expand button\">Change Filters</a></div><article-panel ng-repeat=\"result in resultsService.results.hits\" article=\"result\"></article-panel><pagination on-change=\"gotoPage\"></pagination><div ng-if=\"pageService.numResults == 0\" class=\"no-results\"><p class=\"panel\">No matches were found.</p></div></div></div></div><overlay visible=\"loading\"><h3>Loading</h3></overlay></section>");
$templateCache.put("search/templates/searchCrumbs.html","<h5 style=\"margin-top: 10px\" ng-if=\"anyClausesHaveValue()\" class=\"tag\"><span style=\"color: black\">You searched for &nbsp;</span><span ng-repeat=\"clause in clauseService.clauses | filter:clauseHasValue\"><span ng-if=\"!$first\">&nbsp;{{clause.operator}}&nbsp;</span><span class=\"suggestion label radius\"><span ng-if=\"clause.field != \'all\'\">{{clause.field}}:</span>{{clause.value}}&nbsp;<a ng-click=\"deleteClause($index)\"><i style=\"color: #AA4444\" class=\"fi-x\"></i></a></span></span></h5>");
$templateCache.put("search/templates/searchTitle.html","<section id=\"title\"><div class=\"row\"><div class=\"small-12 columns\"><div class=\"panel\"><h2 ng-if=\"!noResults()\">Results / <strong>{{begin() | number}}-{{end() | number}} of {{pageService.numResults | number}}</strong></h2><h2 ng-if=\"noResults()\"><strong>No results found</strong></h2><search-crumbs></search-crumbs></div></div></div></section>");}]);
'use strict';
var App;

App = angular.module('search', ['ngRoute', 'ngSanitize', 'search.controllers', 'search.directives', 'search.filters', 'search.services', 'search.templates']);

App.config([
  '$routeProvider', '$locationProvider', function($routeProvider, $locationProvider, config) {
    $routeProvider.when('/search', {
      templateUrl: 'search/templates/form4.html',
      controller: 'SearchFormController as form'
    }).when('/search2', {
      templateUrl: 'search/templates/form2.html',
      controller: 'SearchFormController'
    }).when('/search3', {
      templateUrl: 'search/templates/form3.html',
      controller: 'SearchFormController'
    }).when('/search4', {
      templateUrl: 'search/templates/form.html',
      controller: 'SearchFormController'
    }).when('/search/results', {
      templateUrl: 'search/templates/results.html',
      controller: 'SearchResultsController'
    });
    return $locationProvider.html5Mode(true);
  }
]);

'use strict';
var SearchFormController, SearchResultController;

SearchFormController = (function() {
  function SearchFormController(scope, routeParams, criteriaService, clauseService, paramsService) {
    this.scope = scope;
    this.routeParams = routeParams;
    this.criteriaService = criteriaService;
    this.clauseService = clauseService;
    this.paramsService = paramsService;
    this.criteria = window.criteria;
    this.criteriaService.setCriteria(window.criteria);
    this.criteriaService.setFromRouteParams(this.routeParams);
    this.clauseService.setFromRouteParams(this.routeParams);
    this.updateFacetPerspective(this.criteria);
    angular.extend(this.scope, this);
  }

  SearchFormController.prototype.addClause = function() {
    return this.clauseService.addClause({
      operator: 'AND',
      field: 'all',
      value: ''
    });
  };

  SearchFormController.prototype.updateFacetPerspective = function(criteria) {
    var newJournals;
    newJournals = [];
    criteria.journal.forEach((function(_this) {
      return function(journal) {
        var a, b, mergedValue, onlyOne;
        onlyOne = function(a, b) {
          return (a && !b) || (b && !a);
        };
        if (journal.supersedes) {
          a = _this.criteriaService.isFacetValueSet('journal', journal.value);
          b = _this.criteriaService.isFacetValueSet('journal', journal.supersedes.value);
          if (onlyOne(a, b)) {
            newJournals.push(journal);
            return newJournals.push(journal.supersedes);
          } else {
            mergedValue = journal.value + '#' + journal.supersedes.value;
            newJournals.push({
              label: journal.label,
              value: mergedValue
            });
            if (a && b) {
              return _this.criteriaService.toggleFacetValue('journal', mergedValue);
            }
          }
        } else {
          return newJournals.push(journal);
        }
      };
    })(this));
    return criteria.journal = newJournals;
  };

  SearchFormController.prototype.search = function() {
    return window.location.href = "/search/results?" + (this.paramsService.toQueryString());
  };

  return SearchFormController;

})();

SearchResultController = (function() {
  function SearchResultController($scope, $routeParams, $timeout, criteriaService, clauseService, paramsService, searchService, pageService, resultsService) {
    this.criteriaService = criteriaService;
    this.clauseService = clauseService;
    this.paramsService = paramsService;
    this.searchService = searchService;
    this.pageService = pageService;
    this.resultsService = resultsService;
    this.searchService.baseUrl = '/search/results/json';
    this.criteriaService.setFromRouteParams($routeParams);
    this.criteriaService.criteriaUpdated = function(criteria, resetPage) {
      return $scope.updateSearch(resetPage);
    };
    this.clauseService.setFromRouteParams($routeParams);
    this.clauseService.clausesUpdated = function(clauses) {
      return $scope.updateSearch(true);
    };
    this.resultsService.setResults(window.results);
    $scope.pageService = this.pageService;
    $scope.criteriaService = this.criteriaService;
    $scope.resultsService = this.resultsService;
    $scope.clauseService = this.clauseService;
    $scope.paramsService = this.paramsService;
    $scope.selectDate = (function(_this) {
      return function(date, start, end) {
        return _this.criteriaService.setPage(1);
      };
    })(this);
    $scope.gotoPage = (function(_this) {
      return function(page) {
        return _this.criteriaService.setPage(page);
      };
    })(this);
    $scope.toggleSidebar = (function(_this) {
      return function() {
        return $timeout((function() {
          return angular.element('.ofc-wrapper').toggleClass('is-active');
        }), 0);
      };
    })(this);
    $scope.updateSearch = (function(_this) {
      return function(resetPage) {
        if (resetPage) {
          _this.criteriaService.criteria.page = 1;
        }
        $scope.loading = true;
        return _this.searchService.search(function(data) {
          $scope.loading = false;
          window.results = data;
          $scope.facets = window.results.facets;
          return _this.paramsService.updateLocation('/search/results', {
            scrollTo: 'title'
          });
        }, function(error) {
          return $scope.loading = false;
        });
      };
    })(this);
    $scope.deleteClause = (function(_this) {
      return function(index) {
        return _this.clauseService.removeClauseByIndex(index);
      };
    })(this);
    $scope.criteria = window.criteria;
    $scope.facets = window.results.facets;
    this.updateFacetPerspective($scope.criteria);
  }

  SearchResultController.prototype.updateFacetPerspective = function(criteria) {
    var newJournals;
    newJournals = [];
    criteria.journal.forEach(function(journal) {
      newJournals.push(journal);
      if (journal.supersedes) {
        return newJournals.push(journal.supersedes);
      }
    });
    return criteria.journal = newJournals;
  };

  return SearchResultController;

})();

angular.module('search.controllers', []).controller('SearchFormController', ['$scope', '$routeParams', 'CriteriaService', 'ClauseService', 'ParamsService', SearchFormController]).controller('SearchResultsController', ['$scope', '$routeParams', '$timeout', 'CriteriaService', 'ClauseService', 'ParamsService', 'SearchService', 'PageService', 'ResultsService', SearchResultController]);

'use strict';
angular.module('search.directives', []).directive('overlay', function() {
  return {
    restrict: 'E',
    template: '<div id="loading-overlay" style="height: 100%; visibility: false"><div id="loading-loader"><center ng-transclude></center></div></div>',
    transclude: true,
    link: function(scope, elem, attr) {
      return scope.$watch(attr.visible, function(newValue) {
        var content, left, overlay;
        overlay = angular.element('#loading-overlay');
        content = angular.element('#loading-loader');
        left = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
        content.css({
          'left': ((left - content.get(0).offsetWidth) / 2.0) + "px"
        });
        return overlay.css({
          'visibility': newValue ? 'visible' : 'hidden'
        });
      });
    }
  };
}).directive('optionDropdown', function() {
  return {
    restrict: 'E',
    replace: true,
    scope: {
      name: '@',
      text: '@',
      model: '=',
      options: '=',
      onChange: '='
    },
    templateUrl: 'search/templates/optionDropdown.html',
    link: function(scope, elem, attr) {
      var down, up;
      up = "▶";
      down = "▼";
      $(".f-dropdown", elem).on('opened.fndtn.dropdown', function() {
        return scope.$apply(function() {
          return scope.triangle = down;
        });
      });
      $(".f-dropdown", elem).on('closed.fndtn.dropdown', function() {
        return scope.$apply(function() {
          return scope.triangle = up;
        });
      });
      scope.triangle = up;
      scope.currentOption = _.find(scope.options, function(o) {
        return o.value === scope.model;
      });
      scope.currentOption || (scope.currentOption = options[0]);
      return scope.changeOption = function(option) {
        scope.currentOption = option;
        scope.model = option.value;
        scope.triangle = up;
        if (scope.onChange) {
          return scope.onChange(option);
        }
      };
    }
  };
}).directive('articlePanel', [
  '$sce', '$timeout', function($sce, $timeout) {
    return {
      restrict: 'E',
      replace: true,
      scope: {
        article: '='
      },
      templateUrl: 'search/templates/articlePanel.html',
      link: function($scope, element, attrs) {
        var processMath;
        processMath = function() {
          return $timeout((function() {
            return MathJax.Hub.Queue(['Typeset', MathJax.Hub, element.get()]);
          }), 0);
        };
        $scope.trusted = function(content) {
          return $sce.trustAsHtml(content);
        };
        $scope.reveal = function() {
          $scope.article.reveal_summary = true;
          return processMath();
        };
        return processMath();
      }
    };
  }
]).directive('searchCrumbs', [
  'ClauseService', function(clauseService) {
    return {
      restrict: 'E',
      replace: true,
      templateUrl: 'search/templates/searchCrumbs.html',
      controller: function($scope) {
        $scope.clauseService = clauseService;
        $scope.clauseHasValue = function(clause) {
          return clause.value !== '';
        };
        return $scope.anyClausesHaveValue = function() {
          return _.any(clauseService.clauses, function(c) {
            return c.value !== '';
          });
        };
      }
    };
  }
]).directive('searchTitle', [
  'PageService', 'ClauseService', function(pageService, clauseService) {
    return {
      restrict: 'E',
      replace: true,
      templateUrl: 'search/templates/searchTitle.html',
      scope: {
        onClauseDelete: '='
      },
      link: function(scope, elem, attr) {
        scope.pageService = pageService;
        scope.clauseService = clauseService;
        scope.noResults = function() {
          return pageService.numResults === 0;
        };
        scope.begin = function() {
          return (pageService.currentPage - 1) * pageService.perPage + 1;
        };
        scope.end = function() {
          return Math.min(pageService.currentPage * pageService.perPage, pageService.numResults);
        };
        return scope.deleteClause = function(index) {
          return scope.onClauseDelete(index);
        };
      }
    };
  }
]).directive('pleaseWait', function() {
  return {
    restrict: 'A',
    link: function($scope, elem, attr) {
      return $scope.$watch(attr.pleaseWait, function(newValue) {
        var cursor;
        cursor = newValue ? 'wait' : 'inherit';
        return angular.element('*').css({
          'cursor': cursor
        });
      });
    }
  };
}).directive('pagination', [
  'PageService', function(pageService) {
    return {
      restrict: 'E',
      scope: {
        onChange: '='
      },
      templateUrl: 'search/templates/pagination.html',
      link: function($scope, elem, attr) {
        $scope.pageService = pageService;
        return $scope.pages = function() {
          var i, last_page, max, min, results;
          last_page = pageService.lastPage();
          if (last_page === 1) {
            return ['1'];
          }
          if (last_page === 2) {
            return ['1', '2'];
          }
          results = ['1'];
          min = Math.max(parseInt(pageService.currentPage) - 4, 2);
          max = Math.min(min + 8, last_page - 1);
          if (min > 2) {
            results.push('...');
          }
          results = results.concat((function() {
            var j, ref, ref1, results1;
            results1 = [];
            for (i = j = ref = min, ref1 = max; ref <= ref1 ? j <= ref1 : j >= ref1; i = ref <= ref1 ? ++j : --j) {
              results1.push(i);
            }
            return results1;
          })());
          if (max < last_page - 1) {
            results.push('...');
          }
          if (last_page >= 2) {
            results.push(last_page + '');
          }
          return results;
        };
      }
    };
  }
]).directive('dateListOptions', [
  '$filter', '$timeout', function($filter, $timeout) {
    var parseDate, startSequence;
    startSequence = 0;
    parseDate = function(str) {
      return new Date(Date.parse(str) + (new Date()).getTimezoneOffset() * 60000);
    };
    return {
      restrict: 'E',
      scope: {
        model: '=',
        startDateModel: '=',
        endDateModel: '=',
        options: '=',
        onChange: '='
      },
      link: function(scope, elem, attr) {
        startSequence += 1;
        scope.alertText = '';
        scope.sequence = startSequence;
        scope._startDate = scope.startDateModel;
        scope._endDate = scope.endDateModel;
        if (scope._startDate === '1893-01-01') {
          scope._startDate = '';
        }
        if (scope._endDate === $filter('date')(new Date(), 'yyyy-MM-dd')) {
          scope._endDate = '';
        }
        scope.selectDateOption = function(option) {
          scope.model = option.value;
          scope.startDateModel = '';
          scope.endDateModel = '';
          if (scope.onChange) {
            return $timeout((function() {
              return scope.onChange(scope.model, scope.startDateModel, scope.endDateModel);
            }), 0);
          }
        };
        return scope.updateResults = function() {
          var validDate;
          validDate = /^ *([0-9]{4}(-[0-9]{2}-[0-9]{2})?)? *$/;
          if (!validDate.test(scope._startDate) || !validDate.test(scope._endDate)) {
            scope.alertText = 'Oops.  Valid formats are YYYY or YYYY-MM-DD.  Please try again.';
            return;
          } else {
            scope.alertText = '';
          }
          $timeout((function() {
            return angular.element("#apsCustomDate" + scope.sequence).foundation('reveal', 'close');
          }), 0);
          scope.model = 'custom';
          scope.startDateModel = scope._startDate;
          scope.endDateModel = scope._endDate;
          if (scope.onChange) {
            return $timeout((function() {
              return scope.onChange(scope.model, scope.startDateModel, scope.endDateModel);
            }), 0);
          }
        };
      },
      templateUrl: 'search/templates/dateRange.html'
    };
  }
]);

'use strict';
angular.module('search.filters', []).filter('capitalize', function() {
  return function(input) {
    if (input) {
      return input[0].toUpperCase() + input.slice(1);
    }
  };
});

'use strict';
var ClauseService, CriteriaService, LocationService, PageService, ParamsService, ResultsService, SearchService;

CriteriaService = (function() {
  function CriteriaService($filter) {
    this.$filter = $filter;
    this.criteria = {};
    this.criteriaUpdated = function(criteria, resetPage) {};
  }

  CriteriaService.prototype.setCriteria = function(criteria) {
    this.criteria = criteria;
    if (this.criteriaUpdated) {
      return this.criteriaUpdated(criteria, false);
    }
  };

  CriteriaService.prototype.clearFacetValues = function(name) {
    this.criteria.selected[name] = [];
    if (this.criteriaUpdated) {
      return this.criteriaUpdated(this.criteria, true);
    }
  };

  CriteriaService.prototype.isFacetEmpty = function(name) {
    return !this.criteria.selected[name] || this.criteria.selected[name].length === 0;
  };

  CriteriaService.prototype.toggleFacetValue = function(name, value) {
    var base, index;
    (base = this.criteria.selected)[name] || (base[name] = []);
    index = this.criteria.selected[name].indexOf(value);
    if (index > -1) {
      this.criteria.selected[name].splice(index, 1);
    } else {
      this.criteria.selected[name].push(value);
    }
    if (this.criteriaUpdated) {
      return this.criteriaUpdated(this.criteria, true);
    }
  };

  CriteriaService.prototype.isFacetValueSet = function(name, value) {
    return this.criteria.selected[name].indexOf(value) > -1;
  };

  CriteriaService.prototype.setPage = function(page) {
    this.criteria.page = page;
    if (this.criteriaUpdated) {
      return this.criteriaUpdated(this.criteria, false);
    }
  };

  CriteriaService.prototype.setFromRouteParams = function(routeParams) {
    var criteria;
    criteria = this.criteria;
    criteria.start_date = routeParams.start_date || '';
    criteria.end_date = routeParams.end_date || '';
    criteria.sort = routeParams.sort || 'recent';
    criteria.per_page = routeParams.per_page || '20';
    criteria.date = routeParams.date || '';
    criteria.page = routeParams.page || '1';
    criteria.selected || (criteria.selected = {
      journal: [],
      highlight: [],
      category: []
    });
    if (routeParams.journal) {
      criteria.selected.journal = ("" + routeParams.journal).split(',');
    }
    if (routeParams.highlight) {
      criteria.selected.highlight = ("" + routeParams.highlight).split(',');
    }
    if (routeParams.category) {
      criteria.selected.category = ("" + routeParams.category).split(',');
    }
    return this.setCriteria(criteria);
  };

  return CriteriaService;

})();

ParamsService = (function() {
  function ParamsService($location, $anchorScroll, criteriaService, clauseService, locationService) {
    this.$location = $location;
    this.$anchorScroll = $anchorScroll;
    this.criteriaService = criteriaService;
    this.clauseService = clauseService;
    this.locationService = locationService;
  }

  ParamsService.prototype.toQueryString = function(override) {
    var result;
    override || (override = {});
    result = ["page=" + (override.page || this.criteriaService.criteria.page || 1), "date=" + this.criteriaService.criteria.date, "sort=" + this.criteriaService.criteria.sort, "per_page=" + this.criteriaService.criteria.per_page, "start_date=" + this.criteriaService.criteria.start_date, "end_date=" + this.criteriaService.criteria.end_date];
    angular.forEach(['journal', 'category', 'highlight'], (function(_this) {
      return function(name) {
        return angular.forEach(_this.criteriaService.criteria.selected[name], function(value) {
          return angular.forEach(value.split('#'), function(value) {
            return result.push(name + "=" + value);
          });
        });
      };
    })(this));
    result.push("clauses=" + (this.clauseService.getClausesEncoded()));
    return result.join("&");
  };

  ParamsService.prototype.updateLocation = function(baseUrl, options) {
    options || (options = {});
    this.locationService.navigate(baseUrl + "?" + (this.toQueryString()), false);
    if (options.scrollTo) {
      this.$location.hash(options.scrollTo);
      return this.$anchorScroll();
    }
  };

  return ParamsService;

})();

SearchService = (function() {
  function SearchService($q, $http, paramsService, resultsService) {
    this.$q = $q;
    this.$http = $http;
    this.paramsService = paramsService;
    this.resultsService = resultsService;
    this.baseUrl = '';
    this._lastQuery = null;
    this._cancelPreviousRequest = this.$q.defer();
  }

  SearchService.prototype.isSameSearch = function() {
    var _query, result;
    _query = this.paramsService.toQueryString();
    result = _query === this._lastQuery;
    this._lastQuery = _query;
    return result;
  };

  SearchService.prototype.cancel = function() {
    this._cancelPreviousRequest.reject();
    return this._cancelPreviousRequest = this.$q.defer();
  };

  SearchService.prototype.search = function(success, error) {
    this.cancel();
    error || (error = function(message) {
      return console.log("ERROR: from SearchService::search(): " + message);
    });
    return this.$http.get(this.baseUrl + "?" + (this.paramsService.toQueryString()), {
      cache: true,
      timeout: this._cancelPreviousRequest.promise
    }).success((function(_this) {
      return function(data, status, headers, config) {
        _this.resultsService.setResults(data);
        if (success) {
          return success(data);
        }
      };
    })(this)).error(error);
  };

  return SearchService;

})();

ResultsService = (function() {
  function ResultsService(pageService) {
    this.pageService = pageService;
    this.results = {};
    this.resultsUpdated = function(results) {};
  }

  ResultsService.prototype.setResults = function(results) {
    this.results = results;
    this.pageService.update({
      numResults: results.num_found || 0,
      currentPage: results.page || 1,
      perPage: results.per_page || 20
    });
    if (this.resultsUpdated) {
      return this.resultsUpdated(results);
    }
  };

  return ResultsService;

})();

PageService = (function() {
  function PageService() {
    this.perPage = 20;
    this.numResults = 0;
    this.currentPage = 1;
    this.pageUpdated = function(info) {};
  }

  PageService.prototype.update = function(info) {
    if (info.perPage) {
      this.perPage = info.perPage;
    }
    if (info.numResults || info.numResults === 0) {
      this.numResults = info.numResults;
    }
    if (info.currentPage) {
      this.currentPage = info.currentPage;
    }
    if (this.pageUpdated) {
      return this.pageUpdated({
        perPage: this.perPage,
        numResults: this.numResults,
        currentPage: this.currentPage
      });
    }
  };

  PageService.prototype.lastPage = function() {
    return Math.ceil(this.numResults / this.perPage);
  };

  return PageService;

})();

ClauseService = (function() {
  function ClauseService() {
    this.clauses = this.defaultClauses();
    this.clausesUpdated = function(clauses) {};
  }

  ClauseService.prototype.defaultClauses = function() {
    return [
      {
        operator: 'AND',
        field: 'all',
        value: ''
      }
    ];
  };

  ClauseService.prototype.getClausesEncoded = function() {
    return encodeURI(angular.toJson(this.nonEmptyClauses()));
  };

  ClauseService.prototype.nonEmptyClauses = function() {
    return this.clauses.filter(function(clause) {
      return clause.value !== "";
    });
  };

  ClauseService.prototype.setClauses = function(clauses) {
    this.clauses = clauses && clauses.length > 0 ? clauses : this.defaultClauses();
    if (this.clausesUpdated) {
      return this.clausesUpdated(this.clauses);
    }
  };

  ClauseService.prototype.removeClauseByIndex = function(index) {
    this.clauses.splice(index, 1);
    if (this.isEmpty()) {
      this.clauses = this.defaultClauses();
    }
    if (this.clausesUpdated) {
      return this.clausesUpdated(this.clauses);
    }
  };

  ClauseService.prototype.isEmpty = function() {
    return _.isEqual(this.clauses, this.defaultClauses()) || _.isEqual(this.clauses, []);
  };

  ClauseService.prototype.addClause = function(clause) {
    if (this.isEmpty()) {
      this.clauses = [clause];
    } else {
      this.clauses.push(clause);
    }
    if (this.clausesUpdated) {
      return this.clausesUpdated(this.clauses);
    }
  };

  ClauseService.prototype.setFromRouteParams = function(routeParams) {
    if (routeParams.clauses) {
      return this.setClauses(JSON.parse(decodeURI(routeParams.clauses)));
    }
  };

  return ClauseService;

})();

LocationService = (function() {
  function LocationService($location, $route, $rootScope) {
    this.$location = $location;
    this.$route = $route;
    this.$rootScope = $rootScope;
  }

  LocationService.prototype.navigate = function(url, reload) {
    var lastRoute, unsub;
    if (reload == null) {
      reload = true;
    }
    this.$location.url(url);
    if (!reload) {
      lastRoute = this.$route.current;
      return unsub = this.$rootScope.$on('$locationChangeSuccess', (function(_this) {
        return function() {
          _this.$route.current = lastRoute;
          return unsub();
        };
      })(this));
    }
  };

  return LocationService;

})();

angular.module('search.services', []).service('CriteriaService', ['$filter', CriteriaService]).service('SearchService', ['$q', '$http', 'ParamsService', 'ResultsService', SearchService]).service('ParamsService', ['$location', '$anchorScroll', 'CriteriaService', 'ClauseService', 'LocationService', ParamsService]).service('ResultsService', ['PageService', ResultsService]).service('PageService', PageService).service('ClauseService', ClauseService).service('LocationService', ['$location', '$route', '$rootScope', LocationService]);
